varying mediump vec2 v_texCoord;
uniform sampler2D u_texture;
 
void main()
{
    vec2 flipped_texcoord = vec2(v_texCoord.x, 1.0 - v_texCoord.y);
    vec4 textureColor =  texture2D(u_texture, flipped_texcoord).bgra;
    gl_FragColor = vec4((textureColor.rgb + vec3(0.1, 0.1, 0.1)), textureColor.w);
}